チケット #532 (closed 新機能・拡張: fixed)

登録: 12 年 前

最終更新: 11 年 前

グローバル関数「load()」の追加

報告者: shinomiya 担当者: shinomiya
優先度: major マイルストーン: 0.1.2
コンポーネント: im-jssp バージョン: 0.1.2
キーワード: 関係者:

チケットの概要 (最終更新者: shinomiya)

目的

  • 複数のJSファイルをロードする

なぜ必要なのか?

  • 現状では、指定されたJSファイルの関数を呼び出すことはできる。
    • include()
    • Page#executeFunction()
  • しかし、複数のJSファイルをロードすることができない。
    • JavaScriptのprototypeを有効に利用できない
      • プロトタイプベースなオブジェクト指向プログラミングが行いづらい

APIリスト(案)

  • グローバル関数「load()」を実行すると、引数で指定されたJSファイル内で定義されている変数や関数にアクセスすることができるようになります。

メモ

  • APIリスト修正
    • include()
      • load()との違いを追記
    • ScriptScopeBuilder
      • スクリプト実行結果を反映するスコープに関する記述を追加。

チケットの履歴

2007/12/07 19:49:54 更新者:shinomiya

  • 説明 が更新されました。

2007/12/07 20:14:32 更新者:shinomiya

  • ステータスnew から assigned に更新されました。

追加しました。
チェンジセット [136]

あとは、サンプル。

2007/12/10 12:20:47 更新者:shinomiya

チェンジセット [137]:複数引数対応

2008/09/04 21:25:46 更新者:shinomiya

  • ステータスassigned から closed に更新されました。
  • 解決方法fixed に更新されました。

サンプルの作成は次期バージョンにします。 チケットはこれ。#546